## sex 0.15

=== doc/Makefile ===
files=sex.html sex-screenshot.gif sex-manual.html
htmldir=$(HOME)/public_html/SeX

sex-manual.html: sex-manual.html/index.html
sex-manual.html/index.html: sex-manual.sgml
	debiandoc2html sex-manual.sgml

sex-screenshot.gif: sex-screenshot.gif.uue
	uudecode sex-screenshot.gif.uue
	
install: $(files)
	cp -a $(files) $(htmldir)
	rm -f $(htmldir)/index.html
	mv $(htmldir)/sex.html $(htmldir)/index.html
	chmod -R go=u,go-w $(htmldir)/.

clean:
	rm -rf sex-manual.html sex-screenshot.gif

=== debian/changelog ===
sex (0.15) frozen unstable; urgency=low

  * Fixed shared library dependencies again. (Really fixes bug #14606.
    Trust me. Um. Really. I'm pretty sure it does. Er. I hope. Call me in
    the morning, if it doesn't.)
  * Fixed permissions for files, especially .dwww-index (fixes bug #15338).

 -- Lars Wirzenius <liw@iki.fi>  Sun,  5 Apr 1998 19:11:02 +0300

sex (0.14) unstable; urgency=low

  * Fixed shared library dependencies (bug #14606).
  * Now installs debian/{changelog,copyright} (but #14606).
  * Fixed compilation options to not include debugging.
  * Fixed unaligned access on an Alpha (it was due to a float being smaller
    than a long, and an XtArgVal being a long).
  * Compiled against and linked with libc6 and a libc6-compiled publib-dev
    (but still depends on libc5-dependent xlib6 instead of xlib6g, because
    I don't know how to fix this and can't yet remove xlib6).

 -- Lars Wirzenius <liw@iki.fi>  Tue, 11 Nov 1997 03:31:59 +0200

sex (0.13) unstable; urgency=low

  * No longer used debmake to build.
  * Make now uses /bin/sh as the shell, always.

 -- Lars Wirzenius <liw@iki.fi>  Thu, 21 Aug 1997 17:35:37 +0300

sex (0.12) unstable; urgency=low

  * Fixed bug with search-and-replace, when the replacement text was empty.
  * Inherited bug fix from Publib 0.27 that fixes bug that set too strict
    permissions on new files.
  * Using my fixhrefgz script to convert links in HTML files from *.html to
    *.html.gz. This allows me to install the manual in compressed form,
    saving several kilobytes.
  
 -- Lars Wirzenius <liw@iki.fi>  Sun, 27 Apr 1997 02:47:48 +0300

sex (0.11) unstable; urgency=low

  * Added the file COPYING (a copy of the GPL), and an note about the
    copyright to README.
  * Added a note about the official distribution point and the
    possibility of being notified of updated via mail to README.
  * Fixed closing of window with ctrl-x 0.
  * Added action change() to allow insertion of arbitrary, constant text.
  * Started a list of actions that can be bound to events.
  * Implemented `&' in replacement texts.

 -- Lars Wirzenius <liw@iki.fi>  Sat, 26 Apr 1997 20:07:30 +0300

sex (0.10) unstable; urgency=low

  * Added a few missing sel_own calls to commands that cut
    text. This fixes the long standing timing bug most commonly
    shown by doing a quick "ctrl-k ctrl-k ctrl-y" when there
    was something selected in some other program.
  * Removed Debian part from version number; it's of no use, since
    the Debian packaging files are part of the upstream sources.
    This also removes the Changes file from the upstream sources.

 -- Lars Wirzenius <liw@iki.fi>  Mon, 17 Mar 1997 20:03:22 +0200

sex (0.9-1) unstable; urgency=low

  * New upstream version: mainly fixes bug #6443 (trying to format
    empty selection when there's nothing in the killring).

 -- Lars Wirzenius <liw@iki.fi>  Sat, 11 Jan 1997 05:37:09 +0200

sex (0.8-1) unstable; urgency=low

  * New upstream version: code has been reorganized and optimized a bit,
    bindings cleaned up a bit, some bugs fixed (see below).
  * Fixes bug #5893: loading file when unnamed buffer is current causes core
    dump. (Problem was not checking that name was non-NULL.)
  * Fixes bug #5900: dumped core when clicking with middle button (jump) on 
    scrollbar and file was empty. Fixed size of horizontal scrollbar as well.
  * debian/rules: Added -g to compilation options (though not to linking).
  * debian/rules: No longer create empty etc.
  * debian/rules: Install /usr/doc/sex/.dwww-index.
  * debian/rules: Unpack .html.gz.
  * Added postinst and postrm that run dwww-doc-index, if it exists.

 -- Lars Wirzenius <liw@iki.fi>  Sat, 28 Dec 1996 01:23:58 +0200

sex (0.7-1) unstable; urgency=low

  * New upstream version.
  * Removed -g from default options.

 -- Lars Wirzenius <liw@iki.fi>  Thu, 5 Dec 1996 11:50:50 +0200

sex (0.6-1) unstable; urgency=low

  * New upstream version: See upstream Changes file for upstream changes.
  * debian/rules re-installs binary after debstd, to avoid having debstd
    removing debugging symbols.

 -- Lars Wirzenius <liw@iki.fi>  Wed, 6 Nov 1996 19:57:25 +0200

sex (0.5-1) unstable; urgency=low

  * Added debian/* files.

 -- Lars Wirzenius <liw@iki.fi>  Sat, 2 Nov 1996 15:25:23 +0200

=== debian/control ===
Source: sex
Maintainer: Lars Wirzenius <liw@iki.fi>
Section: editors
Priority: optional
Standards-Version: 2.0.0.0

Package: sex
Architecture: any
Depends: ${shlibs:Depends}
Description: Simple editor for X
 The Simple editor for X (SeX) is a relatively small, simple, not too
 slow editor for X. It has no text mode user interface. It doesn't have
 very many features. The primary attraction is the mouse language, which 
 is almost identical to xterm's, but clicking the middle mouse button 
 inside a selection cuts it instead of pasting it.
 .
 SeX is still under development, and is known to be buggy.

=== debian/rules ===
#!/usr/bin/make -f

build:
	[ -d debian/objs ] || mkdir debian/objs
	cd debian/objs && ( \
		[ -f Makefile ] || \
		CFLAGS='-O2 -Wall -DNDEBUG' LDFLAGS='-s' ../../configure; \
		$(MAKE))

binary: binary-arch binary-indep

binary-arch: checkroot build
	rm -rf debian/tmp
	install -d debian/tmp/DEBIAN
	install -d debian/tmp/usr/X11R6/bin
	install -d debian/tmp/usr/X11R6/lib/X11/app-defaults
	install -d debian/tmp/usr/doc/sex
	install -d debian/tmp/usr/X11R6/man/man1
	cd debian/objs && $(MAKE) install prefix=../tmp/usr/X11R6 \
		appdir=../tmp/usr/X11R6/lib/X11/app-defaults \
		manualdir=../tmp/usr/doc/sex
	install -m 0644 debian/copyright debian/tmp/usr/doc/sex
	install -m 0644 debian/changelog debian/tmp/usr/doc/sex/changelog.Debian
	gzip -9 debian/tmp/usr/X11R6/man/*/*
	cp debian/dwww-index debian/tmp/usr/doc/sex/.dwww-index
	install -m 644 README debian/tmp/usr/doc/sex/README
	find debian/tmp/usr/doc/sex -type f | xargs gzip
	gunzip debian/tmp/usr/doc/sex/copyright.gz
	gunzip debian/tmp/usr/doc/sex/.dwww-index
	find debian/tmp -name '*.html.gz' | \
		xargs --no-run-if-empty gunzip
#	find debian/tmp -name '*.html' ! -type d | \
#		xargs --no-run-if-empty fixhrefgz
#	find debian/tmp -name '*.html' ! -type d | \
#		xargs --no-run-if-empty gzip
	dpkg-shlibdeps debian/objs/sex
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=u debian/tmp/usr
	chmod -R go-ws debian/tmp
	dpkg --build debian/tmp ..

binary-indep:

clean:
	rm -rf debian/tmp build debian/objs

checkroot:
	test root = "`whoami`"

## sex 0.16

=== debian/changelog ===
sex (0.16) frozen unstable; urgency=low

  * Updated the standards version to 2.4.0.0.
  * Fixed name of changelog in /usr/doc.
  * Compress files in /usr/doc with gzip -9, not the default compression.

 -- Lars Wirzenius <liw@iki.fi>  Fri, 18 Sep 1998 22:26:50 +0300

=== debian/rules ===
--- 
+++ 
@@ -20,11 +20,11 @@
 		appdir=../tmp/usr/X11R6/lib/X11/app-defaults \
 		manualdir=../tmp/usr/doc/sex
 	install -m 0644 debian/copyright debian/tmp/usr/doc/sex
-	install -m 0644 debian/changelog debian/tmp/usr/doc/sex/changelog.Debian
+	install -m 0644 debian/changelog debian/tmp/usr/doc/sex/changelog
 	gzip -9 debian/tmp/usr/X11R6/man/*/*
 	cp debian/dwww-index debian/tmp/usr/doc/sex/.dwww-index
 	install -m 644 README debian/tmp/usr/doc/sex/README
-	find debian/tmp/usr/doc/sex -type f | xargs gzip
+	find debian/tmp/usr/doc/sex -type f | xargs gzip -9
 	gunzip debian/tmp/usr/doc/sex/copyright.gz
 	gunzip debian/tmp/usr/doc/sex/.dwww-index
 	find debian/tmp -name '*.html.gz' | \

## sex 0.18

=== debian/changelog ===
sex (0.18) frozen unstable; urgency=low

  * Catches and ignores SIGPIPE. Fixes bug#52661. Thanks to Kevin Ryde
    for an excellent bug report, and the Debian developers on IRC for
    help in understanding signals.

 -- Lars Wirzenius <liw@iki.fi>  Mon, 27 Dec 1999 23:56:52 +0200

sex (0.17) frozen unstable; urgency=low

  * Complains when trying to load a directory. Fixes bug 42515.
  * Supports doc-base (instead of dwww). Fixes bug 40264.
  * Calls debiandoc2html with -lC (to set locale to C).
  * Debian menu support added. Fixes bug 40265.

 -- Lars Wirzenius <liw@iki.fi>  Sun,  8 Aug 1999 00:35:30 +0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Lars Wirzenius <liw@iki.fi>
 Section: editors
 Priority: optional
-Standards-Version: 2.0.0.0
+Standards-Version: 2.4.0.0
 
 Package: sex
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -16,23 +16,23 @@
 	install -d debian/tmp/usr/X11R6/lib/X11/app-defaults
 	install -d debian/tmp/usr/doc/sex
 	install -d debian/tmp/usr/X11R6/man/man1
+	install -d debian/tmp/usr/share/doc-base/
+	install -d debian/tmp/usr/lib/menu
 	cd debian/objs && $(MAKE) install prefix=../tmp/usr/X11R6 \
 		appdir=../tmp/usr/X11R6/lib/X11/app-defaults \
 		manualdir=../tmp/usr/doc/sex
+	install -m 0755 debian/postinst debian/postrm debian/prerm \
+		debian/tmp/DEBIAN
 	install -m 0644 debian/copyright debian/tmp/usr/doc/sex
 	install -m 0644 debian/changelog debian/tmp/usr/doc/sex/changelog
+	install -m 0644 debian/menu debian/tmp/usr/lib/menu/sex
 	gzip -9 debian/tmp/usr/X11R6/man/*/*
-	cp debian/dwww-index debian/tmp/usr/doc/sex/.dwww-index
+	install -m 644 debian/doc-base debian/tmp/usr/share/doc-base/sex-manual
 	install -m 644 README debian/tmp/usr/doc/sex/README
 	find debian/tmp/usr/doc/sex -type f | xargs gzip -9
 	gunzip debian/tmp/usr/doc/sex/copyright.gz
-	gunzip debian/tmp/usr/doc/sex/.dwww-index
 	find debian/tmp -name '*.html.gz' | \
 		xargs --no-run-if-empty gunzip
-#	find debian/tmp -name '*.html' ! -type d | \
-#		xargs --no-run-if-empty fixhrefgz
-#	find debian/tmp -name '*.html' ! -type d | \
-#		xargs --no-run-if-empty gzip
 	dpkg-shlibdeps debian/objs/sex
 	dpkg-gencontrol
 	chown -R root.root debian/tmp

## sex 0.19.1

=== doc/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 sex-manual.html: sex-manual.html/index.html
 sex-manual.html/index.html: sex-manual.sgml
-	debiandoc2html sex-manual.sgml
+	debiandoc2html -lC sex-manual.sgml
 
 sex-screenshot.gif: sex-screenshot.gif.uue
 	uudecode sex-screenshot.gif.uue
